RDKit: RDKit::RGroupScorer Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RGroupScorer Class Reference

`#include <RGroupScore.h>`

## Public Member Functions
| RGroupScorer ()
| RGroupScorer (const std::vector< std::vector< size_t > > &permutations, double score)
double | matchScore (const std::vector< size_t > &permutation, const std::vector< std::vector< RGroupMatch > > &matches, const std::set< int > &labels)
| score the passed permutation of matches
void | setBestPermutation (const std::vector< size_t > &permutation, double score)
| set the passed permutation and score as the best one
const std::vector< size_t > & | getBestPermutation () const
| return the best permutation found so far
void | startProcessing ()
| called when process() starts to initialize State
void | pushTieToStore (const std::vector< size_t > &permutation)
| store the passed tied permutation for subsequent processing
void | breakTies (const std::vector< std::vector< RGroupMatch > > &matches, const std::set< int > &labels, const std::unique_ptr< CartesianProduct > &iterator, const std::chrono::steady_clock::time_point &t0, double timeout)
| find the best permutation across the tied ones that were stored
void | clearTieStore ()
| clear all stored tied permutations
size_t | tieStoreSize () const
| number of stored tied permutations
double | getBestScore () const
| return the best score found so far

## Detailed Description

Definition at line 71 of file RGroupScore.h.

## Constructor & Destructor Documentation

## ◆ RGroupScorer() [1/2]

RDKit::RGroupScorer::RGroupScorer | ( |  | ) |
| inline

Definition at line 73 of file RGroupScore.h.

## ◆ RGroupScorer() [2/2]

RDKit::RGroupScorer::RGroupScorer | ( | const std::vector< std::vector< size_t > > & | permutations,
|  | double | score )

## Member Function Documentation

## ◆ breakTies()

void RDKit::RGroupScorer::breakTies | ( | const std::vector< std::vector< RGroupMatch > > & | matches,
|  | const std::set< int > & | labels,
|  | const std::unique_ptr< CartesianProduct > & | iterator,
|  | const std::chrono::steady_clock::time_point & | t0,
|  | double | timeout )

find the best permutation across the tied ones that were stored

## ◆ clearTieStore()

void RDKit::RGroupScorer::clearTieStore | ( |  | ) |

clear all stored tied permutations

## ◆ getBestPermutation()

const std::vector< size_t > & RDKit::RGroupScorer::getBestPermutation | ( |  | ) | const
| inline

return the best permutation found so far

Definition at line 83 of file RGroupScore.h.

## ◆ getBestScore()

double RDKit::RGroupScorer::getBestScore | ( |  | ) | const
| inline

return the best score found so far

Definition at line 101 of file RGroupScore.h.

## ◆ matchScore()

double RDKit::RGroupScorer::matchScore | ( | const std::vector< size_t > & | permutation,
|  | const std::vector< std::vector< RGroupMatch > > & | matches,
|  | const std::set< int > & | labels )

score the passed permutation of matches

## ◆ pushTieToStore()

void RDKit::RGroupScorer::pushTieToStore | ( | const std::vector< size_t > & | permutation | ) |

store the passed tied permutation for subsequent processing

## ◆ setBestPermutation()

void RDKit::RGroupScorer::setBestPermutation | ( | const std::vector< size_t > & | permutation,
|  | double | score )

set the passed permutation and score as the best one

## ◆ startProcessing()

void RDKit::RGroupScorer::startProcessing | ( |  | ) |

called when process() starts to initialize State

## ◆ tieStoreSize()

size_t RDKit::RGroupScorer::tieStoreSize | ( |  | ) | const
| inline

number of stored tied permutations

Definition at line 99 of file RGroupScore.h.

The documentation for this class was generated from the following file:

- RGroupScore.h